{ modulesPath, ... }:
{
  imports = [
    ./boot
    ./disko
    ./filesystems
    ./hardware
    ./services
    (modulesPath + "/profiles/headless.nix")
  ];

  system = {
    nixos.tags = [ "server" ];
    stateVersion = "24.05";
  };

  deployment = {
    buildOnTarget = true;
    targetHost = "42f:2737:2aed:4dee:cbe4:3c73:1918:ad9b";
  };

  networking.hostId = "97a21a38";
}
